Bug 1190767 - dahdi-tools-2.10.0-2.fc22 FTBFS: mpptalk.c:515:28: error: logical not is only applied to the left hand side of comparison [-Werror=logical-not-parentheses]
Summary: dahdi-tools-2.10.0-2.fc22 FTBFS: mpptalk.c:515:28: error: logical not is only...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dahdi-tools
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 15:38 UTC by Petr Pisar
Modified: 2016-07-19 12:47 UTC (History)
3 users (show)

Fixed In Version: dahdi-tools-2.10.0-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:47:47 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix compilation with GCC 5 (560 bytes, patch)
2015-05-24 20:00 UTC, Anthony Messina
no flags Details | Diff

Description Petr Pisar 2015-02-09 15:38:54 UTC
dahdi-tools-2.10.0-2.fc22 fails to build in F22 due stricter GCC 5:

gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -I. -Ixtalk -Wall -Werror   -c -o mpptalk.o mpptalk.c
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -I. -Ixtalk -Wall -Werror   -c -o xtalk/xtalk.o xtalk/xtalk.c
gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic -I. -Ixtalk -Wall -Werror   -c -o xtalk/xusb.o xtalk/xusb.c
xpp_blink syntax OK
mpptalk.c: In function 'mpp_send_seg':
mpptalk.c:515:28: error: logical not is only applied to the left hand side of comparison [-Werror=logical-not-parentheses]
  if(!astribank->burn_state == BURN_STATE_STARTED) {
                            ^

Difference between working and failing build root:

Removed packages:
	cpp-4.9.2
	file-5.20
	file-libs-5.20
	gcc-4.9.2
	gcc-c++-4.9.2
	gdb-7.8.50.20150108
	libgcc-4.9.2
	libgomp-4.9.2
	libstdc++-4.9.2
	libstdc++-devel-4.9.2
	patch-2.7.3
	perl-Encode-2.68
	perl-Getopt-Long-2.42
	perl-HTTP-Tiny-0.053
	perl-Pod-Simple-3.28
	setup-2.9.4
	shared-mime-info-1.3
Added packages:
	cpp-5.0.0
	file-5.22
	file-libs-5.22
	gcc-5.0.0
	gcc-c++-5.0.0
	gdb-7.8.90.20150202
	isl-0.14
	libgcc-5.0.0
	libgomp-5.0.0
	libstdc++-5.0.0
	libstdc++-devel-5.0.0
	patch-2.7.4
	perl-Encode-2.70
	perl-Getopt-Long-2.43
	perl-HTTP-Tiny-0.054
	perl-Pod-Simple-3.29
	setup-2.9.5
	shared-mime-info-1.4

Comment 1 Jaroslav Reznik 2015-03-03 16:51:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Anthony Messina 2015-05-24 19:50:24 UTC
I've added this issue upstream: https://issues.asterisk.org/jira/browse/DAHTOOL-67

Comment 3 Anthony Messina 2015-05-24 20:00:27 UTC
Created attachment 1029270 [details]
Patch to fix compilation with GCC 5

Comment 4 Fedora End Of Life 2016-07-19 12:47:47 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.